import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRSmokeCOAlarmClusterInterconnectSmokeAlarmEvent extends _NSObject {
    static alloc(): _MTRSmokeCOAlarmClusterInterconnectSmokeAlarmEvent;
    static new(): _MTRSmokeCOAlarmClusterInterconnectSmokeAlarmEvent;
    init(): _MTRSmokeCOAlarmClusterInterconnectSmokeAlarmEvent;
    alarmSeverityLevel(): _NSNumber;
    setAlarmSeverityLevel$(value: _NSNumber): void;
}
export interface _MTRSmokeCOAlarmClusterInterconnectSmokeAlarmEvent extends _NSCopying {
}
